aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTopi Reinio <topi.reinio@qt.io>2022-11-18 12:21:15 +0000
committerTopi Reiniƶ <topi.reinio@qt.io>2022-11-18 22:06:27 +0000
commit9e4e6a565afaa900f204e56d956fd94401c68a21 (patch)
tree1577017a87a0ca84c811480ca472974f76c98324
parente9b3497c8e8c6f50947f23a9a22bdc69d3674239 (diff)
Provisioning: Restore qdoc/qtattributionsscanner binaries on Ubuntu 22.04
The binaries were built on Ubuntu 20.04 and need a specific version of libicu to work. Temporarily install libicu66 to be able to use common binaries on both 20.04 and 22.04. Change-Id: Ibb0bec24f1451ec48a79c6c978256c9d1474adee Reviewed-by: Heikki Halmet <heikki.halmet@qt.io>
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-22.04-x86_64/02-apt.sh2
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-22.04-x86_64/85-qdoc_qtattributionsscanner.sh73
2 files changed, 75 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-linux-Ubuntu-22.04-x86_64/02-apt.sh b/coin/provisioning/qtci-linux-Ubuntu-22.04-x86_64/02-apt.sh
index 1dfc9e9a..e2ddb05c 100755
--- a/coin/provisioning/qtci-linux-Ubuntu-22.04-x86_64/02-apt.sh
+++ b/coin/provisioning/qtci-linux-Ubuntu-22.04-x86_64/02-apt.sh
@@ -235,6 +235,8 @@ sudo dpkg --add-architecture i386
installPackages+=(nfs-kernel-server)
installPackages+=(net-tools)
installPackages+=(bridge-utils)
+# For qdoc-qtattributionsscanner provisioning package originally built on Ubuntu 20.04
+installPackages+=(libicu66)
echo "Running update for apt"
waitLoop
diff --git a/coin/provisioning/qtci-linux-Ubuntu-22.04-x86_64/85-qdoc_qtattributionsscanner.sh b/coin/provisioning/qtci-linux-Ubuntu-22.04-x86_64/85-qdoc_qtattributionsscanner.sh
new file mode 100755
index 00000000..595fe1d2
--- /dev/null
+++ b/coin/provisioning/qtci-linux-Ubuntu-22.04-x86_64/85-qdoc_qtattributionsscanner.sh
@@ -0,0 +1,73 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2021 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# Provisions qdoc and qtattributionsscanner binaries; these are used for
+# documentation testing without the need for a dependency to qttools.
+
+set -e
+
+# shellcheck source=./check_and_set_proxy.sh
+"${BASH_SOURCE%/*}/../common/unix/check_and_set_proxy.sh"
+# shellcheck source=./DownloadURL.sh
+source "${BASH_SOURCE%/*}/../common/unix/DownloadURL.sh"
+version="39fad60085501729985888d3f546c7b8d897a394"
+sha1="b3bc413866951807fe2e87e84394cd6f69904718"
+
+# Provision Ubuntu 20.04-built package for 22.04
+# TODO: Remove libicu66 from 02-apt.sh when updating the package
+url="https://download.qt.io/development_releases/prebuilt/qdoc/qt/qdoc-qtattributionsscanner_${version//\./}-based-linux-Ubuntu20.04-gcc9.3-x86_64.7z"
+url_cached="http://ci-files01-hki.intra.qt.io/input/qdoc/qt/qdoc-qtattributionsscanner_${version//\./}-based-linux-Ubuntu20.04-gcc9.3-x86_64.7z"
+
+zip="/tmp/qdoc-qtattributionsscanner.7z"
+destination="/opt/qt-doctools"
+
+sudo mkdir -p $destination
+sudo chmod 755 $destination
+DownloadURL $url_cached $url $sha1 $zip
+if command -v 7zr &> /dev/null; then
+ sudo 7zr x $zip -o$destination/
+else
+ sudo 7z x $zip -o$destination/
+fi
+sudo chown -R qt:users $destination
+rm -rf $zip
+
+echo -e "qdoc = $version\nqtattributionsscanner = $version" >> ~/versions.txt